#!/bin/bash
#
# source: http://ftp.gnome.org/pub/gnome/sources/totem-pl-parser/2.32/totem-pl-parser-2.32.6.tar.xz
#
# maintainer: (package seek a maintainers)
#

#------------------ Set Some Variables

soft='totem-pl-parser'
softversion='2.32.6'
arch="i486"
cpu="i686"
packageversion="72.2"

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.xz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# ----------------- Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.txz
rm -rf $dest

cd $src

chown -R root:root .
find . \
 \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
 -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
 -exec chmod 644 {} \;
export CFLAGS="-O2 -march=$arch -mtune=$cpu"
export CXXFLAGS="-O2 -march=$arch -mtune=$cpu"

./configure \
  --prefix=/usr \
  --sysconfdir=/etc \
  --localstatedir=/var \
  --disable-static \
  --with-html-dir=/usr/doc/$soft-$softversion

make -j6
make install DESTDIR=$dest

find $dest | xargs file | grep -e "executable" -e "shared object" | grep ELF \
  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

# Documentation

cp -a AUTHORS COPYING.LIB INSTALL NEWS README $dest/usr/doc/$soft-$softversion


mkdir -p $dest/install
cat << "EODESC" > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

               |-----handy-ruler------------------------------------------------|
totem-pl-parser: totem-pl-parser - A library to parse playlists
totem-pl-parser:
totem-pl-parser: totem-pl-parser is a library used to parse playlist. It is used
totem-pl-parser: by the Totem movie player
totem-pl-parser:
totem-pl-parser:
totem-pl-parser:
totem-pl-parser:
totem-pl-parser:
totem-pl-parser:
totem-pl-parser:
EODESC

mkdir -p $dest/usr/src/$soft-$softversion
cp $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

# Packaging

cd $dest
makepkg -l y -c n $dest.txz

cd $buildir
md5sum $package.txz > $package.md5